/*!
 *
 * Date: 2016-07-05
 *
 *
 */

var ExCommunication = Class.extend({
	_bizDomain: "",
	_timeout: 5000,
	_token: "",
	serverUrl: serverUrl,
	_contentType: "application/json",
	_logUrl: "http://192.168.88.172:3000/log/UMAppOpt",
	dataType: "json",

	init: function(bizName) {
		this._bizDomain = bizName;
	},

	//构建请求url
	_buildUrl: function(action, params) {
        urlpath = this.serverUrl + "/api/" + this._bizDomain.toLowerCase() + "/" + action + '.json';
		var urlpath1 = "";
		if(params) {
			urlpath = urlpath + "?";
			for(var key in params) {
				var subobj = params[key];
				for(var subkey in subobj) {
					urlpath += subkey + "=" + subobj[subkey] + "&";
					var tmp1 = subkey;
					var tmp2 = subobj[subkey];
					urlpath1 += subkey + "=" + subobj[subkey] + "&";
				}
			}
		}
		return urlpath;
	},

	//indata = 输入参数， callbackfun = 回调函数
	Post: function(indata, successCall, errorcall) {
		if(this._token == null || this._token == "") {
			var info = localStorage.getItem("curUseInfo");
			if(IsNull(info)) {
				this._token = '';
			} else {
				info = JSON.parse(info);
				this._token = info.token;
			}
		};
		url = this._buildUrl(indata.action, indata.params);
		console.log(JSON.stringify(indata.reqData));
		console.log(url);
		appcan.request.ajax({
			url: url,
			type: "POST",
			data: JSON.stringify(indata.reqData),
			contentType: 'application/json',
			headers: {
				token: this._token
			},
			datatype: "json",
			timeout: 600000,
			offline: false,
			offlineDataPath: 'wgt://aaa/',
			success: function(data) {
				appcan.window.closeToast();
				successCall(data);
			},
			error: function(xhr, erroType, error, msg) {
				appcan.window.closeToast();
				//console.log(xhr);
				console.log(msg);
				errorcall(msg);
			}
		});
	},

	//indata = 输入参数， callbackfun = 回调函数
	Post_long: function(indata, successCall, errorcall, completeCall) {
		//appcan.window.openToast("正在发送请求",0,5,1);
		showLog("post请求参数_车险", JSON.stringify(indata));
		if(this._token == null || this._token == "") {
			var info = localStorage.getItem("curUseInfo");
			if(IsNull(info)) {
				this._token = '';
			} else {
				info = JSON.parse(info);
				this._token = info.token;
			}
		}
		url = this._buildUrl(indata.action, indata.params);
		console.log(url);
		console.log(indata.reqData);
		appcan.request.ajax({
			url: url,
			type: "POST",
			data: JSON.stringify(indata.reqData),
			contentType: 'application/json',
			headers: {
				token: this._token
			},
			datatype: "json",
			timeout: 6000000,
			offline: false,
			offlineDataPath: 'wgt://aaa/',
			success: function(data, status, requestCode, response, xhr) {
				appcan.window.closeToast();
				successCall(data);
			},
            complete: function(xhr, status) {
                completeCall();
            },
			error: function(xhr, erroType, error, msg) {
				appcan.window.closeToast();
				errorcall(msg);
			}
		});
		//console.log(arr);
	},

	Get: function(indata, successCall, errorcall) {
		showLog("get请求参数_车险", JSON.stringify(indata));
		try {
			if(this._token == null || this._token == "") {
				var info = JSON.parse(localStorage.getItem("curUseInfo"));
				if(IsNull(info)) {
					this._token = '';
				} else {
					this._token = info.token;
				}
			}
			url = this._buildUrl(indata.action, indata.params);
			console.log(url);
		} catch(err) {
			alert("err==?" + err);
		}
		appcan.request.ajax({
			url: url,
			type: "GET",
			data: indata.reqData,
			contentType: 'application/json',
			headers: {
				token: this._token
			},
			datatype: "json",
			expires: 10,
			timeout: 300000,
			offline: false,
			offlineDataPath: 'wgt://aaa/',
			success: function(data, status, requestCode, response, xhr) {
				appcan.window.closeToast();
				successCall(data);
			},
			error: function(xhr, erroType, error, msg) {
				appcan.window.closeToast();
				errorcall(msg);
			}
		});
	},

	Log: function(indata) {
		/**将信息写入日志服务器**/
		var loginName = JSON.parse(window.localStorage["UserInfo"]).phone;
		var logData = {
			"loginName": loginName,
			//"OptDate":"",
			"OptPage": "",
			"OptFunction": indata.functionName,
			"OptInParam": JSON.stringify(indata)
		};
		appcan.ajax({
			url: this._logUrl,
			type: 'POST',
			data: logData,
			contentType: 'application/json',
			headers: {
				token: this._token
			},
			datatype: "json",
			timeout: 500000,
			offline: false,
			offlineDataPath: 'wgt://aaa/',
			success: function(data) {
				//successCall(data);
			},
			error: function(e) {
				//errorcall(e);
			}
		});
	},
});