/**创建UIC对象***/
var bizUic = Class.extend({
    exComm: "",
    serverUrl: serverUrl,
    init: function() {
        this.exComm = new ExCommunication("uic");
    },
    
    //注册
    registUser: function(username, mobile, password, key, checkId, owner_mobile, onSucess, onError) {
        var indata = {
            "params": [{}],
            "reqData": {
                "mobile": mobile,
                "password": password,
                "verifycode": key, //verifycode
                "aliasName": username,
                "owner_id": checkId,
                "owner_mobile": owner_mobile
            }
        };
        this.UserReg(indata, onSucess, onError);
    },
  
    //注册实现
    UserReg: function(indata, successCall, errorcall) {
        var baseurl = this.serverUrl + '/api/uic/userregister.json';
        console.log(baseurl);
        console.log(indata.reqData);
        appcan.ajax({
            url: baseurl,
            type: 'POST',
            data: JSON.stringify(indata.reqData),
            contentType: 'application/json',
            datatype: "json",
            offline: false,
            timeout: 50000,
            offlineDataPath: 'wgt://aaa/',
            success: function(data) {
                successCall(data);
            },
            error: function(e) {
                errorcall(e);
            }
        });
    },

    //登陆
    login: function(uname, psw, onSuccess, onError) {
        var loginurl = this.serverUrl + '/api/uic/userlogin.json';
        var indata = {
            "mobile": uname,
            "password": psw
        };
        defaultPost(loginurl, indata, onSuccess, onError);
    },

    //验证码（注册）
    GetVerifiyCode: function(mobile, type, onSucess, onError) {
        this.GetVerificationKey(mobile, type, onSucess, onError);
    },
    
    //验证码实现
    GetVerificationKey: function(mobile, type, successCall, errorcall) {
        var url1 = this.serverUrl + '/api/uic/sendcode.json?mobile=' + mobile + '&type=' + type;
        console.log(url1);
        appcan.ajax({
            url: url1,
            type: 'GET',
            contentType: 'application/json',
            datatype: "json",
            offline: false,
            timeout: 90000,
            offlineDataPath: 'wgt://aaa/',
            success: function(data) {
                successCall(data);
            },
            error: function(e) {
                errorcall(e);
            }
        });
    },
    
    //快速登录获取验证码
    GetFastLoginCode: function(mobile, onsucc, onfail) {
        var indata = {
            "action": "judgemobileandsencode",
            "params": [{
                "mobile": mobile
            }],
            "reqData": {}
        };
        this.exComm.Get(indata, onsucc, onfail);
    },
    
    //快速登录
    loginFast: function(mobile, verifycode, onSucess, onError) {
        var indata = {
            "action": "loginbymobile",
            "params": [{}],
            "reqData": {
                "mobile": mobile,
                "verifycode": verifycode
            },
        };
        this.exComm.Post(indata, onSucess, onError);
    },

    //请求重置密码
    ResetPwd: function(mobile, key, NewPwd, onSucess, onError) {
        var indata = {
            "action": "",
            "params": [],
            "reqData": {
                "mobile": mobile,
                "verifycode": key,
                "NewPwd": NewPwd
            }
        };
        this.UserReset(indata, onSucess, onError);
    },

    //重置密码
    UserReset: function(indata, successCall, errorcall) {
        var baseurl = this.serverUrl + '/api/uic/resetpwd.json';
        appcan.ajax({
            url: baseurl,
            type: 'POST',
            data: JSON.stringify(indata.reqData),
            contentType: 'application/json',
            datatype: "json",
            offline: false,
            timeout: 50000,
            offlineDataPath: 'wgt://aaa/',
            success: function(data) {
                successCall(data);
            },
            error: function(e) {
                //alert('error');
                errorcall(e);
            }
        });
    },

    //增加用户信息
    addUserInfo: function(licenseNo, brandname, vehicleFrameNo, engine_code, registerdate, specialCarFlag, idcode, mobile, ownerName, ins_same_owner_flag, holder_same_owner_flag, onSucess, onError) {
        var indata = {
            "action": "adduserinfo",
            "params": [{}],
            "reqData": {
                "licenseNo": licenseNo, //车牌号
                "brandname": brandname, //品牌名
                "vehicleFrameNo": vehicleFrameNo, //车架号
                "engine_code": engine_code, //发动机号
                "registerdate": registerdate, //注册日期
                "specialCarFlag": specialCarFlag, //是否过户
                "idcode": idcode, //身份证号
                "mobile": mobile, //手机号
                "ownerName": ownerName, //车主名字
                "ins_same_owner_flag": ins_same_owner_flag, //被保人同车主标志
                "holder_same_owner_flag": holder_same_owner_flag //投保人同车主标志
            }
        };
        this.exComm.Post(indata, onSucess, onError);
    },

    //重置提现密码
    retrievePayPassword: function(newpassword, iden_code, onSucess, onError) {
        var indata = {
            "action": "retrievePayPassword",
            "params": [{}],
            "reqData": {
                "iden_code": iden_code,
                "paypassword": newpassword
            }
        };
        this.exComm.Post(indata, onSucess, onError);
    },

    selectmyinfo: function(onSucess, onError) {
        var indata = {
            "action": "selectmyinfo",
            "params": [{}],
            "reqData": {}
        };
        this.exComm.Get(indata, onSucess, onError);
    },
    
    //获取分享链接
    getShareLink: function(onSucess, onError) {
        var indata = {
            "action": "usersurl",
            "params": [{}],
            "reqData": {}
        };
        this.exComm.Post(indata, onSucess, onError);
    },

    //获取二维码
    getMyQRCode: function(onSucess, onError) {
        var indata = {
            "action": "getMyQRCode",
            "params": [{}],
            "reqData": {}
        };
        this.exComm.Post(indata, onSucess, onError);
    },
    
    //获取分享信息
    getShareTitle: function(onSucess, onError) {
        var indata = {
            "action": "getShareTitle",
            "params": [{}],
            "reqData": {}
        };
        this.exComm.Post(indata, onSucess, onError);
    },
    
    //更新客户资料
    updatemyinfo: function(objdata, onsucess, onerror) {
        var indata = {
            "action": "updatemyinfo",
            "params": [{}],
            "reqData": {
                "alias_name": objdata.aliasName,
                "tag": objdata.tag,
                "email": objdata.email,
                "phone": objdata.mobile,
                "wenxin": objdata.wx,
                "QQ": objdata.qq,
                "blog": objdata.wb,
                "sex": objdata.sex
            }
        };
        this.exComm.Post(indata, onsucess, onerror);
    },

    //验证短信验证码是否正确
    checkVerifyCode: function(phone, code, onsucess, onerror) {
        var indata = {
            "action": "judgecode",
            "params": [{}],
            "reqData": {
                "verifycode": code,
                "mobile": phone
            }
        };
        console.log("!")
        this.exComm.Post(indata, onsucess, onerror);
    },

    //验证邀请人是否正确
    checkInviter: function(phone, onsucess, onerror) {
        var indata = {
            "action": "judgemobile",
            "params": [{}],
            "reqData": {
                "mobile": phone
            }
        };
        this.exComm.Post(indata, onsucess, onerror);
    }
});