/**创建车辆/保险对象***/
var bizCar = Class.extend({
    exComm: "",
    init: function() {
        this.exComm = new ExCommunication("uic");
    },
    
    //获取保险公司信息
    getSafes: function(onSuccess, onError) {
        var indata = {
            "action": "getinsuranceCorpList",
            "params": [{}],
            "reqData": {}
        };
        this.exComm.Get(indata, onSuccess, onError);
    },
    
    //获取保险公司列表——new 
    getSafes_new: function(provid, cityid, onSuccess, onError) {
        var indata = {
            "action": "getUnitByInsuredCity",
            "params": [{
                "provinceId": provid,
                "cityId": cityid
            }],
            "reqData": {}
        };
        this.exComm.Get(indata, onSuccess, onError);
    },

    //投保方案 /险种
    getSafePlans: function(licenseNo, onSuccess, onError) {
        var indata = {
            "action": "get_insurance_types",
            "params": [{
                licenseNo: encodeURIComponent(licenseNo)
            }],
            "reqData": {}
        };
        this.exComm.Get(indata, onSuccess, onError);
    },

    //获取车主/车辆信息
    getCarInfo: function(licenseNo, name, onSuccess, onError) {
        var indata = {
            "action": "getCarInfo",
            "params": [{}],
            "reqData": {
                "licenseNo": licenseNo,
                "Name": name
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },

    //获取车辆品牌信息  //模糊查找
    getCarBrand_mo: function(brandname, licenseNo, page, onSuccess, onError) {
        var indata = {
            "action": "getCarBrand",
            "params": [{}],
            "reqData": {
                "simmilarFlag": 'true',
                "brandName": brandname,
                "licenseNo": licenseNo,
                "page": page
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },

    //获取车辆品牌信息  //精确查找
    getCarBrand_ji: function(licenseNo, frameNo, onSuccess, onError) {
        var indata = {
            "action": "getCarBrand",
            "params": [{}],
            "reqData": {
                "simmilarFlag": 'false',
                "licenseNo": licenseNo,
                "frameNo": frameNo
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },

    //  获取报价汇总
    getInsuranceSummary: function(currentCarinfo, onSuccess, onError, onComplete) {
        var indata = {
            "action": "get_insuranceSumary",
            "params": [{}],
            "reqData": currentCarinfo
        };
        this.exComm.Post_long(indata, onSuccess, onError, onComplete);
    },

    // 获取报价详情
    getInsuranceDetail: function(offercode, onsuccess, onfail) {
        var indata = {
            "action": "get_insuranceDetail",
            "params": [{}],
            "reqData": {
                "offerCode": offercode
            }
        };
        this.exComm.Post(indata, onsuccess, onfail);
    },

    //核保
    orderSubmmit: function(orderInfo, onSuccess, onError) {
        var indata = {
            "action": "orderSubmit",
            "params": [{}],
            "reqData": orderInfo
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
  
    //上传资料重新核保
    completeInfoReinsurance: function(offercode, onSuccess, onError) {
        var indata = {
            "action": "completeInfoReinsurance",
            "params": [{}],
            "reqData": {
                "offerCode": offercode
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
  
    // 订单管理重新核保
    reinsurance: function(offercode, onSuccess, onError) {
        var indata = {
            "action": "reinsurance",
            "params": [{}],
            "reqData": {
                "offerCode": offercode
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
  
    // 上传完善照片信息
    getCompleteInfo: function(offercode, onSuccess, onError) {
        var indata = {
            "action": "getCompleteInfo",
            "params": [{
                "offerCode": offercode
            }],
            "reqData": {
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },

    //未完成订单
    getUnfinishOrder: function(onSuccess, onError, pageindex, pagesize) {
        var indata = {
            "action": "unfinishedOrder",
            "params": [{}],
            "reqData": {
                "pageNum": pageindex, //页数
                "row": pagesize //个数
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    //已完成订单
    getfinishOrder: function(onSuccess, onError, pageindex, pagesize) {
        var indata = {
            "action": "finishedOrder",
            "params": [{}],
            "reqData": {
                "pageNum": pageindex, //页数
                "row": pagesize //个数
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },
    
    //失败订单
    getFailOrder: function(onSuccess, onError, pageindex, pagesize) {
        var indata = {
            "action": "FailOrder",
            "params": [{}],
            "reqData": {
                "pageNum": pageindex, //页数
                "row": pagesize //个数
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },

    //订单详情
    getOrderDetail: function(orderId, onSuccess, onError) {
        var indata = {
            "action": "getOrderInfo",
            "params": [{}],
            "reqData": {
                "orderId": orderId
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },

    //获取订单支付链接
    getPayLink: function(policyCode, onSuccess, onError) {
        var indata = {
            "action": "regetPayLink",
            "params": [{}],
            "reqData": {
                "orderId": policyCode
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },

    //违章查询
    mistakeCheck: function(cartype, carbrandname, city, prifix, liscenseNo, info, onSuccess, onError) {
        var indata = {
            "action": "illegal_info",
            "params": [{}],
            "reqData": {
                "numbertype": cartype,
                "cartype": carbrandname,
                "city": city,
                "lsprefix": prifix,
                "licenseNo": liscenseNo,
                "info": info
            }
        };
        this.exComm.Post(indata, onSuccess, onError);
    },

    //查询保险起期
    getSafeBegin: function(cityid, engineNo, isLoanCar, isTrans, licenseNo, modelCode, ownerIdNo, ownerMobile, ownerName, seat, transDate, onSuccess, onError) {
        var indata = {
            "action": "getEffectivePolicyInfo",
            "params": [{}],
            "reqData": {
                "cityId": cityid, //城市id
                "engineNo": engineNo, //引擎编号
                "isLoanCar": isLoanCar, //是否贷款
                "isTrans": isTrans,
                "licenseNo": licenseNo,
                "modelCode": modelCode,
                "ownerIdNo": ownerIdNo,
                "ownerMobile": ownerMobile,
                "ownerName": ownerName,
                "seat": seat,
                "transDate": transDate
            }
        };
        //console.log(indata.reqData);
        this.exComm.Post(indata, onSuccess, onError);
    },

    //获取收货地址
    getUserAddress: function(onSucc, onFail) {
        var indata = {
            "action": "getDeliveryAddress",
            "params": [{}],
            "reqData": {
            }
        };
        this.exComm.Post(indata, onSucc, onFail);
    },

    //添加收货地址
    addUserAddress: function(address, provid, cityid, districid, isdefault, name, mobile, onSucc, onFail) {
        var indata = {
            "action": "newDeliveryAddress",
            "params": [{}],
            "reqData": {
                "address": address,
                "cityId": cityid,
                "districtId": districid,
                "is_default": isdefault,
                "mobile": mobile,
                "name": name,
                "postcode": 0,
                "provinceId": provid
            }
        };
        this.exComm.Post(indata, onSucc, onFail);
    },
    
    //编辑收货地址
    editUserAddress: function(address, provid, cityid, districid, isdefault, name, mobile, addressid, onSucc, onFail) {
        var indata = {
            "action": "modifyDeliveryAddress",
            "params": [{}],
            "reqData": {
                "address": address,
                "cityId": cityid,
                "districtId": districid,
                "is_default": isdefault,
                "mobile": mobile,
                "name": name,
                "postcode": 0,
                "provinceId": provid,
                "id": addressid
            }
        };
        console.log(indata)
        this.exComm.Post(indata, onSucc, onFail);
    },
    
    //删除收货地址
    deleteUserAddress: function(AddressId, onSucc, onFail) {
        var indata = {
            "action": "DeleteAddress",
            "params": [{}],
            "reqData": {
                "AddressId": AddressId
            }
        };
        this.exComm.Get(indata, onSucc, onFail);
    },
    
    //获取默认投保城市
    getDefaultCity: function(liscense, onSucc, onFail) {
        var indata = {
            "action": "getinfo",
            "params": [{}],
            "reqData": {
                "licenseNo": liscense
            }
        };
        this.exComm.Post(indata, onSucc, onFail);
    },

    //匹配车牌前缀
    getLiscenFrist: function(onSucc, onFail) {
        var indata = {
            "action": "getpro",
            "params": [{}],
            "reqData": {}
        };
        this.exComm.Get(indata, onSucc, onFail);
    },

    //查询商业险、交强险的保险起期时间带出历史最后记录
    getInsuranceHistory: function(licenseNo, onSucc, onFail) {
        var indata = {
            "action": "getIns",
            "params": [{}],
            "reqData": {
                "licenseNo": licenseNo
            }
        };
        this.exComm.Post(indata, onSucc, onFail);
    },

    //订单搜索
    searchOrder: function(checkInfo, onSucc, onFail) {
        var indata = {
            "action": "findOrders",
            "params": [{}],
            "reqData": {
                "checkInfo": checkInfo
            }
        };
        this.exComm.Post(indata, onSucc, onFail);
    },

    //添加客户车辆信息
    addCustomerCar: function(carinfo, onSucc, onFail) {
        var indata = {
            "action": "custom_addcarinfo",
            "params": [{}],
            "reqData": {
                "ownerId": carinfo.ownerId,
                "licenseNo": carinfo.licenseNo,
                "vehicleframeno": carinfo.vehicleframeno,
                "engineCode": carinfo.engineCode,
                "vehiclemodelId": carinfo.vehiclemodelId,
                "registerDate": carinfo.registerDate,
                "specialcarflag": carinfo.specialcarflag,
                "vehiclefgwcode": carinfo.vehiclefgwcode,
                "brandcode": carinfo.brandcode,
                "brandname": carinfo.brandname,
                "engineCode": carinfo.engineCode,
                "enginedesc": carinfo.enginedesc,
                "familyname": carinfo.registerDate,
                "importflag": carinfo.importflag,
                "seat": carinfo.seat
            }
        };
        this.exComm.Post(indata, onSucc, onFail);
    },
    
    //快速获取险种列表
    getSafePlanSpeedy: function(onSucc, onFail) {
        var indata = {
            "action": "insurance_types",
            "params": [{}],
            "reqData": {}
        };
        this.exComm.Get(indata, onSucc, onFail);
    },
    
    //快速核保提交申请
    SpeedyCommitOrder: function(identityFace, identityBack, licenseFace, licenseBack, cityCode, safePlanList, onSucc, onFail) {
        var indata = {
            "action": "manual/order",
            "params": [{}],
            "reqData": {
                "identityFace": identityFace,
                "identityBack": identityBack,
                "licenseFace": licenseFace,
                "licenseBack": licenseBack,
                "cityCode": cityCode,
                "coverageList": safePlanList
            }
        };
        this.exComm.Post(indata, onSucc, onFail);
    },
    
    //获取今日报价列表
    getSpeedyOrderList: function(onSucc, onFail) {
        var indata = {
            "action": "manual/qry_list",
            "params": [{}],
            "reqData": {}
        };
        this.exComm.Post(indata, onSucc, onFail);
    },
    
    //提交快速核保申请
    postSpeedyOrder: function(receiverId, qryId, onSucc, onFail) {
        var indata = {
            "action": "manual/reinsurance",
            "params": [{
                "receiverId": receiverId,
                "qry_id": qryId
            }],
            "reqData": {}
        };
        this.exComm.Post(indata, onSucc, onFail);
    },
    
    //获取用户当前位置
    getLocation: function(onSucc, onFail) {
        var indata = {
            "action": "location",
            "params": [{}],
            "reqData": {}
        };
        this.exComm.Get(indata, onSucc, onFail);
    }
});