var bizSafer = new bizCar();
var currentCarInfo = ''; //车辆信息
var safeList = ''; //保险公司列表
var choosedSafes = new Array(); //已经选择的保险公司列表
var choosedInLength = 0; //已经选中的保险公司长度
appcan.ready(function() {
    currentCarInfo = localStorage.getItem("currentCarinfo");
    if(IsNull(currentCarInfo)) {
        currentCarInfo = {};
    } else {
        currentCarInfo = JSON.parse(currentCarInfo);
    }
    getSafes();
});

//保险公司列表
function getSafes() {
    var currentSafeOrder = localStorage.getItem("currentSafePlanOrder");
    if(IsNull(currentSafeOrder)) {
        thenToast("数据错误,请重试", 0);
        return;
    }
    currentSafeOrder = JSON.parse(currentSafeOrder);
    var provid = currentSafeOrder.provId; //省级id
    var cityid = currentSafeOrder.csId; //城市id
    bizSafer.getSafes_new(provid, cityid, safeSuccess, safeFail);
}

//获取保险公司列表成功
function safeSuccess(data) {
    showLog("保险公司成功", data);
    if(IsSuccess(data) == 1) {
        var dataList = JSON.parse(data);
        safeList = dataList.data;
        showSafes(safeList);
    }
}

function safeFail(data) {
    showLog("保险公司列表失败", data);
    connectFail("获取保险公司列表失败,请稍后重试");
}

//渲染保险公司列表
function showSafes(data) {
    if(IsNull(data)) {
        thenToast("没有获取到保险公司数据");
        return;
    }
    var currentSafeOrder = localStorage.getItem("currentSafePlanOrder");
    if(IsNull(currentSafeOrder)) {
        thenToast("数据错误,请重试", 0);
        return;
    }
    currentSafeOrder = JSON.parse(currentSafeOrder);
    currentSafeOrder.safeCount = data.length; //存储保险公司数量
    localStorage.setItem("currentSafePlanOrder", JSON.stringify(currentSafeOrder));
    $("#safelist").empty();
    for(var i = 0; i < data.length; i++) {
        var safestr = '<li safeId="' + data[i].insuranceCorpId + '" safeCode="' + data[i].insuranceCorpCode + '" safeUrl="' + data[i].insuranceCorpPhotUrl + '" safeCorp="' + data[i].insuranceCorpName + '" onclick="safeChoose(this)">' +
        '<img id="scho_' + data[i].insuranceCorpId + '" class="clickImg" src="../img/not.png" />' +
        '<img class="logo" src="' + getPhotoSrc(data[i].insuranceCorpPhotUrl) + '" />' +
        '<p>' + data[i].insuranceCorpName + '</p>' +
        '<img  id="ischoose_' + data[i].insuranceCorpId + '" class="clickOnBg uhide" src="img/chooseCom.png" /></li>';
        $("#safelist").append(safestr);
    };
    removeType("choseBtn", "uhide");
}

//选中保险公司
function safeChoose(obj) {
    var safeid = obj.getAttribute("safeId"); //保险公司id
    var safeCode = obj.getAttribute("safecode"); //保险公司code
    var safeUrl = obj.getAttribute("safeUrl"); //保险公司logo
    var safeName = obj.getAttribute("safecorp"); //保险公司名称
    if(!$("#scho_" + safeid).hasClass("had")) {
        $("#scho_" + safeid)[0].src = '../img/opt.png';
        $("#scho_" + safeid).addClass("had");
        removeType("ischoose_"+ safeid,"uhide");
        //添加进队列
        addToChoosedSafes(safeid, safeCode, safeUrl, safeName);
    } else {
        $("#scho_" + safeid)[0].src = '../img/not.png';
        $("#scho_" + safeid).removeClass("had");
        addType("ischoose_"+ safeid,"uhide");
        //队列中移除
        deleFromChoosedSafes(safeid, safeCode);
    }
    //判断全选的状态，如果全选状态下取消了一个则取消全选，如果单个的逐步选中所有则全选状态变为被选中
    if(!$("#safeAll").hasClass("had")) {
        var iList = 0;
        for(var i = 0; i < safeList.length; i++) {
            if($("#scho_" + safeList[i].insuranceCorpId).hasClass("had")) {
                iList++;
            }
        };
        if(iList == safeList.length) {
            $("#safeAll")[0].src = '../img/opt.png';
            $("#safeAll").addClass("had");
        };
    } else {
        var iList = safeList.length;
        for(var i = 0; i < safeList.length; i++) {
            if(!$("#scho_" + safeList[i].insuranceCorpId).hasClass("had")) {
                iList--;
            }
        };
        if(iList !== safeList.length) {
            $("#safeAll")[0].src = '../img/not.png';
            $("#safeAll").removeClass("had");
        };
    }
    showLog("保险公司队列：", JSON.stringify(choosedSafes));
}

//添加到保险公司队列
function addToChoosedSafes(safeid, safecode, safeurl, safeName) {
    if(IsNull(safeid) || IsNull(safecode)) {
        thenToast("参数传入错误,请重试", 0);
        return;
    }
    var insuranceobj = {
        "insuranceCorpId": safeid,
        "insuranceCorpCode": safecode,
        "insuranceCorpPhotUrl": safeurl,
        "insuranceCorpName": safeName
    };
    choosedSafes.push(insuranceobj);
}

//从保险公司队列中删除
function deleFromChoosedSafes(safeid, safecode) {
    if(choosedSafes.length > 0) {
        for(var i = 0; i < choosedSafes.length; i++) {
            if(choosedSafes[i].insuranceCorpId == safeid) {
                choosedSafes.splice(i, 1);
            }
        };
    }
}

//全选按钮
function allChoose() {
    if(!$("#safeAll").hasClass("had")) {
        $("#safeAll")[0].src = '../img/opt.png';
        $("#safeAll").addClass("had");
        slectAll();// 全选
    } else {
        $("#safeAll")[0].src = '../img/not.png';
        $("#safeAll").removeClass("had");
        notSlectAll();// 取消全选
    }
}

//全选事件
function slectAll() {
    choosedSafes = new Array();
    for(var i = 0; i < safeList.length; i++) {
        if(!$("#scho_" + safeList[i].insuranceCorpId).hasClass("had")) {
            $("#scho_" + safeList[i].insuranceCorpId)[0].src = '../img/opt.png';
            $("#scho_" + safeList[i].insuranceCorpId).addClass("had");
            removeType("ischoose_"+ safeList[i].insuranceCorpId,"uhide");
        }
        addToChoosedSafes(safeList[i].insuranceCorpId, safeList[i].insuranceCorpCode, safeList[i].insuranceCorpPhotUrl, safeList[i].insuranceCorpName);
    };
    showLog("保险公司队列：", JSON.stringify(choosedSafes));
}

//全不选事件
function notSlectAll() {
    choosedSafes = new Array();
    for(var i = 0; i < safeList.length; i++) {
        if($("#scho_" + safeList[i].insuranceCorpId).hasClass("had")) {
            $("#scho_" + safeList[i].insuranceCorpId)[0].src = '../img/not.png';
            $("#scho_" + safeList[i].insuranceCorpId).removeClass("had");
            addType("ischoose_"+ safeList[i].insuranceCorpId,"uhide");
        }
    };
    showLog("保险公司队列：", JSON.stringify(choosedSafes));
}

//购买
function gotoBuy() {
    if(IsNull(choosedSafes)) {
        thenToast("请选择至少一家保险公司", 0);
        return;
    }
    currentCarInfo.insUnitList = choosedSafes;
    choosedInLength = choosedSafes.length;
    var currentOrder = localStorage.getItem("currentSafePlanOrder");
    if(IsNull(currentOrder)) {
        thenToast("数据错误,请重试", 2000);
        return;
    }
    currentOrder = JSON.parse(currentOrder);
    //投保人是否同车主
    if(currentCarInfo.holder_same_owner_flag == '0') { //不同车主
        currentCarInfo.applicantType = "1";
        currentCarInfo.applicantEmail = currentOrder.toubEmail;
    } else {
        currentCarInfo.applicantType = "1";
        currentCarInfo.applicantName = currentCarInfo.ownerName;
        currentCarInfo.applicantIdNo = currentCarInfo.ownerIdNo;
        currentCarInfo.applicantMobile = currentCarInfo.ownerMobile;
        currentCarInfo.applicantEmail = currentOrder.userEmail;
    }
    //被保人是否同车主
    if(currentCarInfo.ins_same_owner_flag == '0') { //不同车主
        currentCarInfo.insuredIdType = "1"; //证件类型
        currentCarInfo.insuredEmail = currentOrder.beibEmail;
    } else {
        currentCarInfo.insuredIdType = "1"; //证件类型
        currentCarInfo.insuredName = currentCarInfo.ownerName;
        currentCarInfo.insuredID = currentCarInfo.ownerIdNo;
        currentCarInfo.insuredMobile = currentCarInfo.ownerMobile;
        currentCarInfo.insuredEmail = currentOrder.userEmail;
    }
    currentCarInfo.ownerEmail = currentOrder.userEmail;
    showLog("车辆信息及投保信息", JSON.stringify(currentCarInfo));
    console.log(currentCarInfo);
    localStorage.setItem("currentCarinfo", JSON.stringify(currentCarInfo));
    appcan.window.open("price", "price.html");
}











