var orderDetail;
var orderId;
var orderState;
var nextKey;
var isAgree = true;
appcan.ready(function() {
    orderDetail = localStorage.getItem("orderDetailData");
    if(IsNull(orderDetail)) {
        thenToast("订单数据获取错误，请重试", 0);
        return;
    }
    orderDetail = JSON.parse(orderDetail);
    orderId = orderDetail.orderId; //订单id
    orderState = orderDetail.orderState; //订单状态
    initTitleShow();
    initAddress(); //初始化地址信息
    initSafeInfo(); //初始化报价详情
    initUserInfo(); //初始化订单信息
});

// 初始化头部显示
function initTitleShow() {
    if(orderState == 0) {
        $("#orderState")[0].innerText = "订单状态：新建订单";
        addType("agreement", "uhide");
        nextKey = 1;
    } else if(orderState == 1) {
        $("#orderState")[0].innerText = "订单状态：核保成功";
        removeType("agreement", "uhide");
        nextKey = 2;
    } else if(orderState == 2) {
        $("#orderState")[0].innerText = "订单状态：支付成功";
        addType("agreement", "uhide");
        nextKey = 1;
    } else if(orderState == 3) {
        $("#orderState")[0].innerText = "订单状态：出单成功";
        addType("agreement", "uhide");
        nextKey = 1;
    } else if(orderState == 4) {
        $("#orderState")[0].innerText = "订单状态：保单生效";
        addType("agreement", "uhide");
        nextKey = 1;
    } else if(orderState == 14) {
        $("#orderState")[0].innerText = "订单状态：核保失败";
        removeType("agreement", "uhide");
        nextKey = 3;
    } else if(orderState == 15) {
        $("#orderState")[0].innerText = "订单状态：支付失败";
        removeType("agreement", "uhide");
        nextKey = 2;
    } else if(orderState == 16) {
        $("#orderState")[0].innerText = "订单状态：保单生成异常";
        addType("agreement", "uhide");
        nextKey = 1;
    } else if(orderState == 17) {
        $("#orderState")[0].innerText = "订单状态：保单生效前撤销";
        addType("agreement", "uhide");
        nextKey = 1;
    }
}

// 初始化地址信息
function initAddress() {
    var addressInfo = orderDetail.orderDetail.deliverInfo;
    $("#userName")[0].innerText = addressInfo.addressee;
    $("#userPhone")[0].innerText = addressInfo.mobile;
    $("#userAddress")[0].innerText = addressInfo.detail;
      
}

//积分未写
//初始化报价详情
function initSafeInfo() {
    // 保存短信发送信息内容 begin --欧君仁杰-2017.02.15
    var _data = new Object();
    _data.licenseNo = orderDetail.orderDetail.licenseNo;
    _data.safeName = orderDetail.orderSafename;
    _data.price = orderDetail.orderCost;
    _data.safeDetail = orderDetail.orderDetail;
    localStorage.setItem("dataSMS", JSON.stringify(_data));
    // 保存短信发送信息内容 end
    
    // 插入保险详情总计信息
    var totalStr = '<div class="insuranceTotal ub ub-ac"><img src="' + getPhotoSrc(orderDetail.orderDetail.logoUrl) + '" />' +
    '<div class="ub ub-ac ub-f1"><div class="ub-f1"><p>保险：' + orderDetail.orderSafename + '</p><p>总计：' + orderDetail.orderCost + '</p></div>' +
    '<div class="ub-f1 tx-r"><p>积分：' + orderDetail.orderDetail.integral + '</p><p class="insuranceTotalP">实付：￥' + numSub(orderDetail.orderCost, orderDetail.orderDetail.bonus) + '</p></div></div></div>';
    $("#insuranceMsg").append(totalStr);
    showDetail(orderDetail.orderDetail);
    showArea(orderDetail.orderDetail);
}

//展示险种详情
function showDetail(data) {
    console.log(data);
    if(!IsNull(data.forceData) && data.forceData.length != 0) { //交强险部分处理
        var ciSumCost = 0;
        var ciStr = '<div class="ciMsg"><div class="ub ub-ac ub-pj ciMsgp1"><p>交强险起期</p><p class="ub-f1 tx-r">' + data.ciBeginDate.split(" ")[0] + '</p></div>';
        for(var i = 0; i < data.forceData.length; i++) {
            ciSumCost += parseFloat(data.forceData[i].insuranceItemPrice);
            if(data.forceData[i].insuranceItemCode == "FORCEPREMIUM") {
                ciStr += '<div class="ub ub-ac ub-pj"><p>' + data.forceData[i].insuranceItemName + '</p><p class="ub-f1 tx-r">￥' + data.forceData[i].insuranceItemPrice + '</p></div>';
            } else {
                ciStr += '<div class="ub ub-ac ub-pj"><p>' + data.forceData[i].insuranceItemName + '</p><p class="ub-f1 tx-r">￥' + data.forceData[i].insuranceItemPrice + '</p></div>';
            }
        };
        ciStr += '<div class="ub ub-ac ub-pj ciMsgp2"><p>交强险</p><p class="ub-f1 tx-r">合计：￥' + parseFloat(ciSumCost).toFixed(2) + '</p></div></div>';
        $("#insuranceMsg").append(ciStr);
    }
    if(!IsNull(data.bizData) && data.bizData.length != 0) { //商业险部分处理
        sortArr(data.bizData, "insuranceItemCode");
        var primaryArr = data.bizData;
        var secondaryArr = new Array();
        var bizSumCost = 0;
        var bizStr = '<div class="bizMsg"><div class="ub ub-ac ub-pj bizMsgp1"><p>商业险起期</p><p class="ub-f1 tx-r">' + data.biBeginDate.split(" ")[0] + '</p></div>';
        for (var i=0; i < primaryArr.length; i++) {
            var indexofT = primaryArr[i].insuranceItemName.indexOf('不计免赔');
            bizSumCost += parseFloat(primaryArr[i].insuranceItemPrice);
            if(indexofT >= 0) { //将不计免赔险单独提出成一个数组
                secondaryArr.push(primaryArr[i]);
            } else {
                if(primaryArr[i].warrantyCost != null) {
                    var insuredAmount = parseFloat(primaryArr[i].warrantyCost / 10000).toFixed(2) + "万";
                    bizStr += '<div id="' + primaryArr[i].insuranceItemCode + '" class="ub ub-ac ub-pj"><p class="leftBiz ub-f1">' + primaryArr[i].insuranceItemName + '</p><p class="midBiz ub-f1">' + insuredAmount + '</p><p class="ub-f1 tx-r rightBiz">￥' + primaryArr[i].insuranceItemPrice + '</p></div>';
                } else {
                    bizStr += '<div id="' + primaryArr[i].insuranceItemCode + '" class="ub ub-ac ub-pj"><p class="leftBiz">' + primaryArr[i].insuranceItemName + '</p><p class="ub-f1 tx-r">￥' + primaryArr[i].insuranceItemPrice + '</p></div>';
                }
            }
        }
        bizStr += '<div class="ub ub-ac ub-pj bizMsgp2"><p>商业险</p><p class="ub-f1 tx-r">合计：￥' + parseFloat(bizSumCost).toFixed(2) + '</p></div></div>';
        $("#insuranceMsg").append(bizStr);
        for (var i=0; i < secondaryArr.length; i++) {
            var bizMpStr;
            if(secondaryArr[i].warrantyCost != null) {
                var insuredAmount = parseFloat(secondaryArr[i].warrantyCost / 10000).toFixed(2) + "万";
                bizMpStr = '<div id="' + secondaryArr[i].insuranceItemCode + '" class="ub ub-ac ub-pj"><p class="leftBiz ub-f1">' + secondaryArr[i].insuranceItemName + '</p><p class="midBiz ub-f1">' + insuredAmount + '</p><p class="ub-f1 tx-r rightBiz">￥' + secondaryArr[i].insuranceItemPrice + '</p></div>';
            } else {
                bizMpStr = '<div id="' + secondaryArr[i].insuranceItemCode + '" class="ub ub-ac ub-pj"><p class="leftBiz">' + secondaryArr[i].insuranceItemName + '</p><p class="ub-f1 tx-r">￥' + secondaryArr[i].insuranceItemPrice + '</p></div>';
            }
            $(bizMpStr).insertAfter($("#"+secondaryArr[i].insuranceItemCode.replace("M","")));
        }
    }
}

//展示投保区域
function showArea(data) {
    var areaStr = '<div class="areaMsg"><div class="ub"><p>投保城市：</p><p class="ub-f1">' + data.city + '</p></div>' +
    '<div class="ub"><p>投保区县：</p><p class="ub-f1">' + data.district + '</p></div></div>';
    $("#insuranceArea").append(areaStr);
}

//初始化用户和车辆数据
function initUserInfo() {
    // 处理车辆信息
    var carStr = '<div class="carMsg"><div class="ub"><p>车牌号码：</p><p class="ub-f1">' + orderDetail.orderDetail.licenseNo + '</p></div>' +
    '<div class="ub"><p>品牌型号：</p><p class="ub-f1">' + orderDetail.orderDetail.brandName + orderDetail.orderDetail.carPinpai + '</p></div>' +
    '<div class="ub"><p>车架号码：</p><p class="ub-f1">' + orderDetail.orderDetail.frameNo + '</p></div>' +
    '<div class="ub"><p>发动机号：</p><p class="ub-f1">' + orderDetail.orderDetail.engineNo + '</p></div>' +
    '<div class="ub"><p>注册日期：</p><p class="ub-f1">' + orderDetail.orderDetail.firstRegisterDate + '</p></div>';
    if(orderDetail.orderDetail.isTrans == "1") {
        carStr += '<div class="ub"><p>是否过户：</p><p class="ub-f1">是</p></div></div>';
    } else {
        carStr += '<div class="ub"><p>是否过户：</p><p class="ub-f1">否</p></div></div>';
    }
    $("#carMsg").append(carStr);
    // 处理车主信息
    var ownerStr = '<div class="ownerMsg"><div class="ub"><p>车主姓名：</p><p class="ub-f1">' + orderDetail.orderDetail.ownerName + '</p></div>' +
    '<div class="ub"><p>身份证号：</p><p class="ub-f1">' + orderDetail.orderDetail.ownerIdNo + '</p></div>' +
    '<div class="ub"><p>手机号码：</p><p class="ub-f1">' + orderDetail.orderDetail.ownerMobile + '</p></div>';
    var policyHolderInfo = orderDetail.orderDetail.policyHolderInfo;
    if(policyHolderInfo.holder_same_owner_flag == '0') {
        var applicantInfo = JSON.parse(policyHolderInfo.applicantInfo);
        ownerStr += '<div class="ub"><p>投保人：</p><p class="ub-f1">不同车主</p></div>';
        // 处理投保人不同车主情况
        removeType("policyholderMsg", "uhide");
        var policyholderStr = '<div class="policyholderMsg"><div class="ub"><p>投保人姓名：</p><p class="ub-f1">' + applicantInfo.applicantName + '</p></div>' +
        '<div class="ub"><p>身份证号：</p><p class="ub-f1">' + applicantInfo.applicantIdNo + '</p></div>' +
        '<div class="ub"><p>手机号码：</p><p class="ub-f1">' + applicantInfo.applicantMobile + '</p></div></div>';
        $("#policyholderMsg").append(policyholderStr);
    } else {
        ownerStr += '<div class="ub"><p>投保人：</p><p class="ub-f1">同车主</p></div>';
    }
    if(policyHolderInfo.ins_same_owner_flag == '0') {
        var insuredInfo = JSON.parse(policyHolderInfo.insuredInfo);
        ownerStr += '<div class="ub"><p>被保人：</p><p class="ub-f1">不同车主</p></div></div>';
        // 处理被保人不同车主情况
        removeType("insurantMsg", "uhide");
        var insurantStr = '<div class="insurantMsg"><div class="ub"><p>被保人姓名：</p><p class="ub-f1">' + insuredInfo.insuredName + '</p></div>' +
        '<div class="ub"><p>身份证号：</p><p class="ub-f1">' + insuredInfo.insuredID + '</p></div>' +
        '<div class="ub"><p>手机号码：</p><p class="ub-f1">' + insuredInfo.insuredMobile + '</p></div></div>';
        $("#insurantMsg").append(insurantStr);
    } else {
        ownerStr += '<div class="ub"><p>被保人：</p><p class="ub-f1">同车主</p></div></div>';
    }
    $("#ownerMsg").append(ownerStr);
}

//处理投保协议
function agreeMent() {
    if($("#agree").attr("src") == "../img/opt.png") {
        $("#agree").attr({src: "../img/not.png"});
        isAgree = false;
    } else if($("#agree").attr("src") == "../img/not.png") {
        $("#agree").attr({src: "../img/opt.png"});
        isAgree = true;
    } 
}

//不同情况下按钮处理
function nextTodo() {
    if(nextKey == 1) { //完善资料
        appcan.window.open('orderSucPayUpload', 'orderSucPayUpload.html');
    } else if(nextKey == 2) { //支付
        if(!isAgree) {
            thenToast("请先同意投保协议！", 0);
            return;
        } else {
            var getlinker = new bizCar();
            getlinker.getPayLink(orderId, getPayLinkSucc, getPayLinkFail);
        }
    } else if(nextKey == 3) { //重新核保
        if(!isAgree) {
            thenToast("请先同意投保协议！", 0);
            return;
        } else {
            openPopWindow('animationPOP', '../popWindow/animationPOP.html');
            var reSubmiter = new bizCar();
            reSubmiter.reinsurance(orderId, reSubMmitSucc, reSubMmitFail);
        }
    }
}

//获取连接成功
function getPayLinkSucc(data) {
    showLog("支付链接", data);
    if(IsSuccess(data) == 1) {
        appcan.window.evaluateScript("price", "appcan.window.close(-1)", 0);
        appcan.window.evaluateScript("safechoose", "appcan.window.close(-1)", 0);
        data = JSON.parse(data);
        console.log(data);
        if(!IsNull(data.payLink)) { //拿到支付连接，走外部支付页面
            localStorage.setItem("toPayLink", data.payLink);
            appcan.window.open("paypage", "../pay/paypage.html");
        } else { //没拿到支付连接，走本地页面
            var paymentId = data.bizID;
            var paymentUrl = "http://m.ydche.com/ping/buttonPay/"+paymentId;
            appcan.frame.open("apppay", paymentUrl, 0, 0);
        };
    }
}

//获取连接失败
function getPayLinkFail(data) {
    thenToast("获取支付链接失败，请稍后重试！", 0);
}

//核保接口连接成功
function reSubMmitSucc(data) {
    uexWindow.closePopover('animationPOP');
    showLog("提交订单成功", data);
    console.log(data);
    if(IsSuccess(data) == 1) {
        data = JSON.parse(data);
        if(!IsNull(data.payLink)) { //拿到支付连接，走外部支付页面
            localStorage.setItem("toPayLink", data.payLink);
            appcan.window.open("paypage", "../pay/paypage.html");
        } else { //没拿到支付连接的状态
            if(data.status == 0) { //异步核保
                var ErrorSubMsg = {
                    errtitle: "异步核保",
                    errcode: data.status,
                    errmsg: "原因及解决方案：" + data.msg
                }
                localStorage.setItem("ErrorSubMsg", JSON.stringify(ErrorSubMsg));
                appcan.window.open("orderError", "../mainFlow/orderError.html");
            } else { //没拿到支付连接，走本地页面
                var paymentId = data.bizID;
                var paymentUrl = "http://m.ydche.com/ping/buttonPay/"+paymentId;
                appcan.frame.open("apppay", paymentUrl, 0, 0);
            };
        }
    } else if(IsSuccess(data) == '1998' || IsSuccess(data) == 1998) { //异步核保
        data = JSON.parse(data);
        var ErrorSubMsg = {
            errtitle: "异步核保",
            errcode: data.result,
            errmsg: "原因及解决方案：" + data.msg
        }
        localStorage.setItem("ErrorSubMsg", JSON.stringify(ErrorSubMsg));
        appcan.window.open("orderError", "../mainFlow/orderError.html");
    } else if(IsSuccess(data) == '1997' || IsSuccess(data) == 1997) { //保险公司核保接口连接失败或没有添加订单
        data = JSON.parse(data);
        var ErrorSubMsg = {
            errtitle: "核保失败",
            errcode: data.result,
            errmsg: "原因及解决方案："+data.msg+"；保险公司核保接口连接失败或未查询到该订单。"
        }
        localStorage.setItem("ErrorSubMsg", JSON.stringify(ErrorSubMsg));
        appcan.window.open("orderError", "../mainFlow/orderError.html"); 
    } else if(IsSuccess(data) == '0' || IsSuccess(data) == 0) { //核保失败
        data = JSON.parse(data);
        if((data.status == 14 && data.completeInfo == true) || (data.status == 14 && data.completeInfo == "true")){ //保险公司需要完善信息
            var ErrorSubMsg = {
                errtitle: "核保失败",
                errcode: data.completeInfo,
                errmsg: "原因及解决方案：" + data.msg
            }
        } else{ //核保失败
            var ErrorSubMsg = {
                errtitle: "核保失败",
                errcode: data.status,
                errmsg: "原因及解决方案："+data.msg
            }
        }
        localStorage.setItem("ErrorSubMsg", JSON.stringify(ErrorSubMsg));
        appcan.window.open("orderError", "../mainFlow/orderError.html");
    } else if(IsSuccess(data) == '-2' || IsSuccess(data) == -2) { // 已经核保过
        data = JSON.parse(data);
        var ErrorSubMsg = {
            errtitle: "核保失败",
            errcode: data.result,
            errmsg: "原因及解决方案：该订单已进行过核保，请到订单管理中查看。"+data.msg
        }
        localStorage.setItem("ErrorSubMsg", JSON.stringify(ErrorSubMsg));
        appcan.window.open("orderError", "../mainFlow/orderError.html");
    }
};

//核保接口连接失败
function reSubMmitFail(data) {
    uexWindow.closePopover('animationPOP');
    data = JSON.parse(data);
    var ErrorSubMsg = {
        errtitle: "核保失败",
        errcode: "orderSubmit接口出错",
        errmsg: "原因及解决方案：提交订单失败，与保险公司连接出错。"
    }
    localStorage.setItem("ErrorSubMsg", JSON.stringify(ErrorSubMsg));
    appcan.window.open("orderError", "../mainFlow/orderError.html");
}
