var summary = 0; //合计金额

var safeDetail; //保存报价详情
appcan.ready(function() {
    safeDetail = localStorage.getItem("speedyOrderDetail");;
    if(IsNull(safeDetail)) {
        thenToast("未获取到报价详情，请稍后重试！", 0);
        return;
    }
    localStorage.removeItem("speedyOrderDetail");
    initSafeInfo(); //初始化报价详情
    initUserInfo(); //初始化订单信息
    getUserAddress();//缺损地址
});

//初始化报价详情
function initSafeInfo() {
    var data = JSON.parse(safeDetail);
    var totalStr = '<div class="insuranceTotal ub ub-ac"><img src="' + getPhotoSrc(data.insurance_code.logoUrl) + '" />' +
    '<div class="ub ub-ac ub-f1"><div class="ub-f1"><p>保险公司</p><p>' + data.insurance_code.insuranceCorpName + '</p></div>' +
    '<div class="ub-f1 tx-r"><p>总计：' + data.total_premium + '</p><p class="insuranceTotalP">实付：￥' + numSub(data.total_premium, data.discount) + '</p></div></div></div>';
    $("#insuranceMsg").append(totalStr);
    showDetail(data);
}

//展示险种详情
function showDetail(data) {
    console.log(data);
    if(data.ci_premium  != null && data.ci_premium != "" && data.ci_premium != 0) { //交强险部分处理
        var ciSumCost = 0;
        var ciStr = '<div class="ciMsg"><div class="ub ub-ac ub-pj ciMsgp1"><p>交强险起期</p><p class="ub-f1 tx-r">' + data.ci_begine_date + '</p></div>';
        ciSumCost += parseFloat(data.ci_premium);
        ciStr += '<div class="ub ub-ac ub-pj"><p>交强险</p><p class="ub-f1 tx-r">￥' + parseFloat(data.ci_premium).toFixed(2) + '</p></div>';
        if(data.carship_tax != null && data.carship_tax != "" && data.carship_tax != 0){
            ciSumCost += parseFloat(data.carship_tax);
            ciStr += '<div class="ub ub-ac ub-pj"><p>车船税</p><p class="ub-f1 tx-r">￥' + parseFloat(data.carship_tax).toFixed(2) + '</p></div>';
        }
        ciStr += '<div class="ub ub-ac ub-pj ciMsgp2"><p>交强险</p><p class="ub-f1 tx-r">合计：￥' + parseFloat(ciSumCost).toFixed(2) + '</p></div></div>';
        $("#insuranceMsg").append(ciStr);
    }
    //商业险部分处理
    if(data.insurance_info.length == 1 && data.insurance_info[0].coverageCode == "FORCEPREMIUM") {
        //排除只有交强险的情况下
    } else {
        sortArr(data.insurance_info, "coverageCode");
        var primaryArr = data.insurance_info;
        var secondaryArr = new Array();
        var bizStr = '<div class="bizMsg"><div class="ub ub-ac ub-pj bizMsgp1"><p>商业险起期</p><p class="ub-f1 tx-r">' + data.bi_begine_date + '</p></div>';
        for(var i = 0; i < primaryArr.length; i++) {
            if(primaryArr[i].coverageCode != "FORCEPREMIUM") {
                var indexofT = primaryArr[i].coverageName.indexOf('不计免赔');
                if(indexofT >= 0) { //将不计免赔险单独提出成一个数组
                    secondaryArr.push(primaryArr[i]);
                } else {
                    if(primaryArr[i].insuredAmount != null && primaryArr[i].insuredAmount != "" && primaryArr[i].insuredAmount != "Y") {
                        var insuredAmount = parseFloat(primaryArr[i].insuredAmount / 10000).toFixed(2) + "万";
                        bizStr += '<div id="' + primaryArr[i].coverageCode + '" class="ub ub-ac ub-pj"><p class="leftBiz ub-f1">' + primaryArr[i].coverageName + '</p><p class="midBiz ub-f1">' + insuredAmount + '</p><p class="ub-f1 tx-r rightBiz">￥' + primaryArr[i].insuredPremium + '</p></div>';
                    } else {
                        bizStr += '<div id="' + primaryArr[i].coverageCode + '" class="ub ub-ac ub-pj"><p class="leftBiz">' + primaryArr[i].coverageName + '</p><p class="ub-f1 tx-r">￥' + primaryArr[i].insuredPremium + '</p></div>';
                    }
                }
            }
        }
        bizStr += '<div class="ub ub-ac ub-pj bizMsgp2"><p>商业险</p><p class="ub-f1 tx-r">合计：￥' + parseFloat(data.bi_premium).toFixed(2) + '</p></div></div>';
        $("#insuranceMsg").append(bizStr);
        for (var i=0; i < secondaryArr.length; i++) {
            var bizMpStr;
            if(secondaryArr[i].insuredAmount != null && secondaryArr[i].insuredAmount != "" && secondaryArr[i].insuredAmount != "Y") {
                var insuredAmount = parseFloat(secondaryArr[i].insuredAmount / 10000).toFixed(2) + "万";
                bizMpStr = '<div id="' + secondaryArr[i].coverageCode + '" class="ub ub-ac ub-pj"><p class="leftBiz ub-f1">' + secondaryArr[i].coverageName + '</p><p class="midBiz ub-f1">' + insuredAmount + '</p><p class="ub-f1 tx-r rightBiz">￥' + secondaryArr[i].insuredPremium + '</p></div>';
            } else {
                bizMpStr = '<div id="' + secondaryArr[i].coverageCode + '" class="ub ub-ac ub-pj"><p class="leftBiz">' + secondaryArr[i].coverageName + '</p><p class="ub-f1 tx-r">￥' + secondaryArr[i].insuredPremium + '</p></div>';
            }
            $(bizMpStr).insertAfter($("#"+secondaryArr[i].coverageCode.replace("M","")));
        }
    }
}

//初始化用户和车辆数据
function initUserInfo() {
    var data = JSON.parse(safeDetail);
    // 处理车辆信息
    var carStr = '<div class="carMsg"><div class="ub"><p>车牌号码：</p><p class="ub-f1">' + data.vehicle_info.licenseNo + '</p></div>' +
    '<div class="ub"><p>品牌型号：</p><p class="ub-f1">' + data.vehicle_info.brandName + '</p></div></div>';
    $("#carMsg").append(carStr);
    // 处理车主信息
    var ownerStr = '<div class="ownerMsg"><div class="ub"><p>车主姓名：</p><p class="ub-f1">' + data.identity_info.name + '</p></div>' +
    '<div class="ub"><p>身份证号：</p><p class="ub-f1">' + data.identity_info.identityNo + '</p></div></div>';
    $("#ownerMsg").append(ownerStr);
}

var firstGetAdd = 0;
//获取收货地址
function getUserAddress() {
    var submiter = new bizCar();
    submiter.getUserAddress(addressSucc, addressFail);
}

//获取地址成功
function addressSucc(data) {
    var addressObj = JSON.parse(data);
    if(IsNull(addressObj.DeliveryAddress) || addressObj.DeliveryAddress.length == 0) { //没有地址
        if(firstGetAdd == 0) {
            addType("addressMsg", "uhide");
            removeType("addAddress", "uhide");
            firstGetAdd = 1;
        } else {
            localStorage.setItem("addChooseFrom", 2); //流程入口：快速报价
            localStorage.setItem("openType", 1); //新增地址
            localStorage.setItem("isMainFunAdd", 5);
            appcan.window.open("addAddress", "../address/addAddress.html", 10);
        }
    } else { //有地址
        if(firstGetAdd == 0) {
            var hasDefault = 0;
            for(var i = 0; i < addressObj.DeliveryAddress.length; i++) {
                if(addressObj.DeliveryAddress[i].is_default == 1) {
                    hasDefault = 1;
                    var addDetailShow = addressObj.DeliveryAddress[i].provinceName + addressObj.DeliveryAddress[i].cityName + addressObj.DeliveryAddress[i].districtName + addressObj.DeliveryAddress[i].address;
                    showAddress(addressObj.DeliveryAddress[i].name, addressObj.DeliveryAddress[i].mobile, addDetailShow, addressObj.DeliveryAddress[i].provinceId, addressObj.DeliveryAddress[i].cityId, addressObj.DeliveryAddress[i].districtId, addressObj.DeliveryAddress[i].id, addressObj.DeliveryAddress[i].is_default);
                }
            }
            if(hasDefault == 0) {
                addType("addressMsg", "uhide");
                removeType("addAddress", "uhide");
            }
            firstGetAdd = 1;
        } else {
            localStorage.setItem("HisAddresses", data);
            localStorage.setItem("addChooseFrom", 2); //流程入口：快速报价
            localStorage.setItem("openType", 0); //编辑地址
            localStorage.setItem("isMainFunAdd", 6);
            appcan.window.open("SelectAddresses", "../address/SelectAddresses.html", 10);
        }
    }
}

//获取地址失败
function addressFail(data) {
    thenToast("获取用户地址失败", 2000);
    if(firstGetAdd == 0) {
        addType("addressMsg", "uhide");
        removeType("addAddress", "uhide");
        firstGetAdd = 1;
    }
}

var addressName = ""; //姓名
var addressPhone = ""; //电话
var addressDetails = ""; //详细地址
var addressProvId = ""; //地址省会id
var addressCityId = ""; //地址城市id
var addressQxId = ""; //地址区县id
var addressId = ""; //地址id
var isDefault = ""; //是否默认地址
//显示收货地址
function showAddress(name, mobile, addressDetail, provid, cityid, qxid, addresid, isdefalut) {
    addType("addAddress", "uhide");
    removeType("addressMsg", "uhide");
    $("#userName")[0].innerText = name;
    $("#userPhone")[0].innerText = mobile;
    $("#userAddress")[0].innerText = addressDetail;
    addressName = name;
    addressPhone = mobile;
    addressDetails = addressDetail;
    addressProvId = provid;
    addressCityId = cityid;
    addressQxId = qxid;
    if(!IsNull(addresid)) {
        addressId = addresid;
    }
    if(!IsNull(isdefalut)) {
        isDefault = isdefalut;
    }
}

//处理投保协议
var isAgree = true;
function agreeMent() {
    if($("#agree").attr("src") == "../img/opt.png") {
        $("#agree").attr({src: "../img/not.png"});
        isAgree = false;
    } else if($("#agree").attr("src") == "../img/not.png") {
        $("#agree").attr({src: "../img/opt.png"});
        isAgree = true;
    } 
}


//提交订单
function commitOrder() {
    if($("#addressMsg").hasClass("uhide") || IsNull(addressName) || IsNull(addressPhone) || IsNull(addressDetails)) {
        thenToast("请添加配送地址", 0);
        return;
    }
    if(!isAgree) {
        thenToast("请先同意投保协议", 0);
        return;
    }
    //获取核保需要的数据
    var submiter = new bizCar();
    var data = JSON.parse(safeDetail);
    openPopWindow('animationPOP', '../popWindow/animationPOP.html');
    submiter.postSpeedyOrder(addressId, data.qry_id, subMmitSucc, subMmitFail);
};

function subMmitSucc(data) {
    uexWindow.closePopover('animationPOP');
    console.log(data);
    var data = JSON.parse(data);
    if(data.result == 1999){
        uexWindow.cbConfirm = function(opId, dataType, data){
            appcan.window.evaluateScript("speedyOrderDetail", "appcan.window.close(-1);", 0);
            appcan.window.evaluateScript("speedyOrderList", "appcan.window.close(-1);", 0);
        };
        appcan.window.confirm('申请结果', data.msg, "好的");
    }else{
        thenToast(data.msg);
    }
};

function subMmitFail(data) {
    var data = JSON.parse(data);
    thenToast(data.msg);
}